Subject: Re: [dhcwg] WGLC for draft-ietf-dhc-dhcp4o6-saddr-opt - EXTENDED - Respond by April 17, 2018

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 11 Apr 2018 20:17:59 +0000

Tomek and I discussed this today and decided we'd extend the comment period for a week in the hopes of getting more input as to the WGLC. Also, I had failed to include the Softwire WG, so adding (this work originally started out there).

Please take a look at the draft and comment! We need your assistance in determining whether this work is ready to advance.

Thanks much!

-          Bernie & Tomek

From: dhcwg <[email-masked]> On Behalf Of Bernie Volz (volz)
Sent: Tuesday, March 27, 2018 11:32 AM
To: [email-masked]
Subject: [dhcwg] WGLC for draft-ietf-dhc-dhcp4o6-saddr-opt - Respond by April 10, 2018

Hello:

The authors have requested a WGLC for draft-ietf-dhc-dhcp4o6-saddr-opt.

Please review this document and provide your comments and whether you support the document moving forward or not, by April 10th, 2018 (23:59 UTC).

Please see https://tools.ietf.org/html/draft-ietf-dhc-dhcp4o6-saddr-opt-03.

There are no IPR notices filed against this work (as of this writing).

Thank you!

-          Tomek & Bernie

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 11 Apr 2018 20:19:58 +0000

It would of course help if I used the correct email address for the softwire WG! Sorry about that.

-          Bernie

From: dhcwg <[email-masked]> On Behalf Of Bernie Volz (volz)
Sent: Wednesday, April 11, 2018 4:18 PM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [dhcwg] WGLC for draft-ietf-dhc-dhcp4o6-saddr-opt - EXTENDED - Respond by April 17, 2018

Thanks much!

-          Bernie & Tomek

Hello:

Thank you!

-          Tomek & Bernie

---

From: Linhui Sun <[email-masked]>
Date: Thu, 12 Apr 2018 19:35:35 +0800

Hi,

Sorry for the delay and I support it as a co-author.

BR,
Linhui

2018-04-12 4:17 GMT+08:00 Bernie Volz (volz) <[email-masked]>:

> Tomek and I discussed this today and decided we’d extend the comment
> period for a week in the hopes of getting more input as to the WGLC. Also,
> I had failed to include the Softwire WG, so adding (this work originally
> started out there).
>
>
>
> Please take a look at the draft and comment! We need your assistance in
> determining whether this work is ready to advance.
>
>
>
> Thanks much!
>
>
>
> -          Bernie & Tomek
>
>
>
> *From:* dhcwg <[email-masked]> *On Behalf Of * Bernie Volz (volz)
> *Sent:* Tuesday, March 27, 2018 11:32 AM
> *To:* [email-masked]
> *Subject:* [dhcwg] WGLC for draft-ietf-dhc-dhcp4o6-saddr-opt - Respond by
> April 10, 2018
>
>
>
> Hello:
>
>
>
> Please review this document and provide your comments and whether you
> support the document moving forward or not, by April 10th, 2018 (23:59
> UTC).
>
>
>
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg
>
>

---

From: Peter Li <[email-masked]>
Date: Sat, 14 Apr 2018 14:28:00 -0700

Hi,

I support moving this draft forward. I believe it is an important document
for 4over6 softwire provisioning using DHCP4over6.
It had received a number of feedback from the softwire and dhc wg and has
addressed the comments raised.

Best,
Tianxiang

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Fri, 20 Apr 2018 20:56:07 +0000

Tomek has been traveling, so we have not had a chance to discuss and make a determination. I expect we'll have an answer mid next week (4/25 or so). Hint to others - you still have time to look at the document and comment as to the WGLC!!!

In the interim as the document shepherd I took another look in preparing the shepherding write up. And, I have found a bunch of mostly nits that should be addressed.

They are:

ABSTRACT:

-          I'd change the very first sentence to start with "DHCPv4 over DHCPv6 (RFC7341) is ..." - add the RFC, but don't make it a reference!

-          Change: "This address, in conjunction with the client's IPv4 address and (in some deployments), the Port Set ID" to: "This address, in conjunction with the client's IPv4 address, and (in some deployments) the Port Set ID ..." (move the comma as it ended up in the wrong place).

-          I'd delete the last sentence of the first paragraph as it DUPLICATES the next paragraph. Perhaps you can change the 2nd paragraph to read:

   This document updates "DHCPv6 Options for Configuration of Softwire

   Address and Port-Mapped Clients" (RFC7598) to allow the OPTION_S46_BR

   (90) to be enumerated in the DHCPv6 client's ORO request and appear

   directly within subsequent messages sent by the DHCPv6 server.

General Issue:

-          The XML2RFC short title is "Softwire Provising with DHCP 4o6". I think you want to changing "Provising" to "Provisioning"?

SECTION 4.1:

-          Remove "'s'" in "border relay (BR)'s'" from first sentence. I think it is fine without this and looks weird with it.

SECTION 7:

-          Remove the period after "Section 5. of [RFC..." as the period made me first think it was Section 5 of this document.

SECTION 7.1:

-          Remove the period after "Section 6. of [RFC..." as the period made me first think it was Section 6 of this document.

SECTION 7.2.1:

-          Response is misspelled as repsonse in the last paragraph.

SECTION 7.6:

-          Add a space after the first reference ([RFC7618] describes".

SECTION 8.1:

-          In the last paragraph, existing is misspelled as "exisiting".

SECTION 9:

-          More of a question - do the new options or procedures add any new or different considerations? If not, great.

SECTION 10:

-          I'd suggest add that these are TBD2 and TBD1 (respectively) in the first two paragraphs. And, I'd recommend swapping the first two paragraphs so TBD1 (v6 option)is first and TBD2 (v4) is second.

-          - Later you have "OPTION_S46_BIND_IPV6_PREFIX TBD1)" - you should add open parenthesis around TBD1?

SECTION 12:

-          I do wonder if the updated RFC (7598) really should be in the Normative section? Hard to see how it can just be informational if it is being updated?

-          And, it is rather odd that DHCPv4 (RFC2131) and DHCPv6 (draft-ietf-dhc-rfc3315bis) aren't referenced in the document. They are implicit because RFC7341 is referenced, but not always clear that this is the best way to go. But I didn't find any easy way to incorporate these references directly.

I'm not saying you should publish a new version immediately - it may make more sense to wait for the WGLC decision as perhaps we'll get someone else to review the document and comment on the WGLC.

>From a WG chair/shepherd hat off position, I support moving this document forward.

-          Bernie

Thanks much!

-          Bernie & Tomek